<?php // Google Analytics - Enqueue Resources

if (!defined('ABSPATH')) exit;

function ga_google_analytics_pro_admin_enqueue_scripts($hook) {
	
	if ($hook === 'settings_page_ga-google-analytics-pro') {
		
		wp_enqueue_style('wp-jquery-ui-dialog');
		
		wp_enqueue_style('gapro-fonts', GAPRO_URL .'css/font-icons.css', array(), GAPRO_VERSION);
		
		wp_enqueue_style('ga-google-analytics-pro', GAPRO_URL .'css/settings.css', array('gapro-fonts'), GAPRO_VERSION);
		
		wp_enqueue_script('ga-google-analytics-pro', GAPRO_URL .'js/settings.js', array('jquery', 'jquery-ui-core', 'jquery-ui-dialog'), GAPRO_VERSION);
		
	}
	
}

function ga_google_analytics_pro_admin_print_scripts() {
	
	$screen = get_current_screen();
	
	if (!property_exists($screen, 'id')) return;
	
	if ($screen->id === 'settings_page_ga-google-analytics-pro') : 
	
	?>
		
	<script type="text/javascript">
		var 
		gapro_reset_title   = '<?php _e('Confirm Reset',            'ga-google-analytics-pro'); ?>',
		gapro_reset_message = '<?php _e('Restore default options?', 'ga-google-analytics-pro'); ?>',
		gapro_reset_true    = '<?php _e('Yes, make it so.',         'ga-google-analytics-pro'); ?>',
		gapro_reset_false   = '<?php _e('No, abort mission.',       'ga-google-analytics-pro'); ?>';
	</script>
	
	<?php endif;
	
}

function ga_google_analytics_pro_randomizr() {
	
	$randomizr = rand(100,9999999);
	
	return $randomizr;
	
}
