/* Plugin Settings */

jQuery(document).ready(function($) {
	
	$('.default-hidden').hide();
	
	var width = $('#gapro_configure\\[custom_ga_code\\]').innerWidth();
	$('.gapro-preview').width(width).css({ 'width':width, 'max-width':width });
	
	var width_custom = $('#gapro_customize\\[custom1_code\\]').innerWidth();
	$('.gapro-preview-custom').width(width_custom).css({ 'width':width_custom, 'max-width':width_custom });
	
	$('.gapro-reset-options').on('click', function(e) {
		e.preventDefault();
		$('.gapro-modal-dialog').dialog('destroy');
		var link = this;
		var button_names = {}
		button_names[gapro_reset_true]  = function() { window.location = link.href; }
		button_names[gapro_reset_false] = function() { $(this).dialog('close'); }
		$('<div class="gapro-modal-dialog">'+ gapro_reset_message +'</div>').dialog({
			title: gapro_reset_title,
			buttons: button_names,
			modal: true,
			width: 350,
			closeText: ''
		});
	});
	
	$('.gapro-reveal-text').on('click', function(e) {
		e.preventDefault();
		if ($(this).data('type') === 'password') {
			$('.gapro-license-input').attr('type', 'text');
			$(this).attr('title', 'Hide License');
			$(this).data('type', 'text');
		} else {
			$('.gapro-license-input').attr('type', 'password');
			$(this).attr('title', 'Show License');
			$(this).data('type', 'password');
		}
	});
	
	if ($('.gapro-gtag').is(':checked')) { $('.form-table tr:eq(2), .form-table tr:eq(3), .form-table tr:eq(4), .form-table tr:eq(5)').hide(); }
	$('.gapro-toggle-open').click(function() { $('.form-table tr:eq(2), .form-table tr:eq(3), .form-table tr:eq(4), .form-table tr:eq(5)').slideDown(300); });
	$('.gapro-toggle-close').click(function() { $('.form-table tr:eq(2), .form-table tr:eq(3), .form-table tr:eq(4), .form-table tr:eq(5)').slideUp(300); });
	
	$('.gapro-toggle-1').click(function(e){ e.preventDefault(); $('.gapro-section-1').slideToggle(300); });
	$('.gapro-toggle-2').click(function(e){ e.preventDefault(); $('.gapro-section-2').slideToggle(300); });
	$('.gapro-toggle-3').click(function(e){ e.preventDefault(); $('.gapro-section-3').slideToggle(300); });
	$('.gapro-toggle-4').click(function(e){ e.preventDefault(); $('.gapro-section-4').slideToggle(300); });
	$('.gapro-toggle-5').click(function(e){ e.preventDefault(); $('.gapro-section-5').slideToggle(300); });
	$('.gapro-toggle-6').click(function(e){ e.preventDefault(); $('.gapro-section-6').slideToggle(300); });
	
});